#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">Paket Tender PPK</a></li>
	<li class="active">Daftar Pembayaran</li>
</ol>
	<div class="content">
	#{alert /}
	#{form @kontrak.PembayaranCtr.hapus(), name:'formBAPembayaran', enctype:"multipart/form-data", method:'POST'}
		<input type="hidden" name="lelangId" value="${kontrakx.lelang_seleksi.lls_id}"/>
	<table id="tblPembayaran" class="table table-sm" >
     <thead>
        <tr>
        <th width="30%">Berita Acara</th>
        <th width="20%">Progres Fisik</th>
	</thead>
    </tr>
     #{list items:listBap, as:'pes'}
     #{set i : pes_index - 1 /}
   	<tr>
          <input type="hidden" name="bapId[${i}]" value="${pes.bap_id}" />
          <td><a href="@{kontrak.PembayaranCtr.viewBap(pes.kontrak.kontrak_id,pes.bap_id)}" class="btn btn-secondary">BAST & BAP</a></td>
        <td>#{if pes?.bap_id}<a href="#" class="badge  badge-secondary changeProgress" value="${pes.bap_id}" nilai="${pes.progres_fisik}">${pes.progres_fisik} <strong>%</strong></a>#{/if}</td>
     </tr>
     #{/list}    
    </table>
        <a href="@{kontrak.SppbjCtr.sppbjPpk(kontrakx.lls_id)}"  class="btn btn-secondary"> Kembali</a>
#{/form}	
</div>
	
#{set 'custom_script'}   
<script type="text/javascript">
    var changeSubmit = #{jsRoute @kontrak.PembayaranCtr.simpanProgressFisik(':id') /};
    var minProgress = ${progressMin};
     $(".changeProgress").click(function () {
            var id = $(this).attr("value");
            var nilai = $(this).attr("nilai");
            var url = changeSubmit.url({id : id});
            var content = '<form id="changeForm" action="'+url+'" method="POST"><div id="msg-formAlasan"></div>'+
                '<label>Progres Fisik</label><div class="input-group col-md-3"><input name="progress" id="progress" value="'+nilai+'" size="25" maxLength="3" min="0" max="100" class="form-control" onkeypress="return isNumberKey(event)"/>'+
                '<div class="input-group-append"><span class="input-group-text">%</span></div></div></form>';
            BootstrapDialog.show({	draggable: true,	title: 'Progres Fisik',	message: content,
                buttons: [{	id : 'btn-1', label: 'Simpan',	cssClass : 'btn-primary',
                    action: function(dialog) {
                        var progress = $('#progress').val();
                        if (progress == null || progress == "") {
                            $("#msg-formAlasan").attr('class', 'alert alert-danger').html('Progress wajib diisi!')
                            $("#msg-formAlasan").show();
                            return false;
                        } else if (progress > 100 ) {
                            $("#msg-formAlasan").attr('class', 'alert alert-danger').html('Progres maksimal 100%')
                            $("#msg-formAlasan").show();
                            return false;
                        } else if (progress < minProgress) {
                            $("#msg-formAlasan").attr('class', 'alert alert-danger').html('Progres Fisik harus lebih besar dari '+minProgress +'%')
                            $("#msg-formAlasan").show();
                            return false;
                        }
                        else {
                            $('#changeForm').submit();
                            dialog.close();
                        }
                    }
                }, { id : 'btn-2', label: 'Batal',
                    action: function(dialog) {
                            dialog.close();
                    }
                }]
            });
            return false;
     });
</script>
#{/set}
 